[Rubyinstaller-devel] IIS FastCGI

Luis Lavena luislavena at gmail.com
Sun Jul 27 13:02:47 EDT 2008

On Sun, Jul 27, 2008 at 5:41 PM, Fabio Akita <fabioakita at gmail.com> wrote:
> IIS 6 already supports Rails under FastCGI but requires a few adjustments
> (http://mvolo.com/blogs/serverside/archive/2007/02/18/10-steps-to-get-Ruby-on-Rails-running-on-Windows-with-IIS-FastCGI.aspx):
> - a tweak on line 559 of cgi.rb
> - RoR IIS extensions
> Do you think it would be beneficial to include the cgi.rb fix and the RoR
> IIS extension already in the installer?

The CGI tweak should be sent to Ruby-Core, patching is a thing I will
not like to do more than needed.

The IIS extensions mentioned over there are built with VC7 which link
to a different version of MSVCRT.

To solve that, I worked with Drew Sears and bundled fcgi with latest
One-Click Installer.

I'll suggest the creator of fcgi extension work on a Gem so we can
bundle it or ease installation as installing plain extensions on top
of new RubyInstaller package is not a good alternative.

Luis Lavena
Human beings, who are almost unique in having the ability to learn from
the experience of others, are also remarkable for their apparent
disinclination to do so.
Douglas Adams

More information about the Rubyinstaller-devel mailing list